@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

/* section */

.checklists {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0 15px 50px;
    border-bottom: 1px solid #e7e7e7;
    margin-bottom: 50px;
}

.checklists-section {
    width: calc(25% - 30px);
    height: 273px;
    margin: 0 15px 20px;
    text-decoration: none;
}
.checklists-section:hover {
    text-decoration: none;
    z-index: 999;
}
.checklists-section-border {
    border: 1px solid #e7e7e7;
    background: #fff;
}
.checklists-section:hover .checklists-section-border {
    text-decoration: none;
    height: auto;
    /*z-index: 100;*/
    box-shadow: 0 3px 15px rgb(0 0 0 / 15%);
    margin: -10px -10px 20px;
    padding: 10px 10px 15px;
    transition: all .2s ease;
}
.checklists-head {
    overflow: hidden;
    display: flex;
    justify-content: flex-end;
    height: 100px;
    position: relative;
}
.checklists-head:after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0.2;
    transition: background .2s ease;
}
.checklists-head:hover:after {
    background: #999;
}
.checklists-head img {
    max-width: none;
    height: 100%;
}
.checklists-text {
    overflow: hidden;
    height: 130px;
    min-height: 130px;
    /*margin-bottom: 20px;*/
    position: relative;
}
.checklists-text:after {
    position: absolute;
    left: 1px;
    bottom: 0;
    right: 1px;
    width: calc(100% - 2px);
    height: 20px;
    background-image: linear-gradient(to bottom,rgba(255,255,255,0),rgba(255,255,255,1));
    content: '';
}
.checklists-name {
    min-height: 87px;
    padding: 20px 22px 15px;
    text-transform: uppercase;
    color: #333;
    font-size: 22px;
    line-height: 1.2;
    display: flex;
    text-decoration: none;
}
.checklists-name:hover {
    text-decoration: none;
}
.checklists-section:hover .checklists-name {
    /*color: #b90f1b;*/
}
.checklists-list {
    padding: 0 22px;
}
.checklists-list a {
    text-decoration: none;
    color: #666;
}
.checklists-list a:hover {
    text-decoration: none;
}
.checklists-section:hover .checklists-text {
    height: auto;
}
.checklists-section:hover .checklists-text:after {
    display: none;
}
.checklists-toggle {
    text-align: center;
    padding-top: 12px;
    transition: padding .2s ease;
    position: relative;
}
.checklists-toggle div {
    display: inline-block;
    position: relative;
    width: 40px;
    height: 24px;
}
.checklists-toggle span,
.checklists-toggle span:before,
.checklists-toggle span:after {
    position: absolute;
    display: block;
    height: 6px;
    width: 6px;
    border-radius: 50%;
    background: #ccc;
    transition: background .2s ease;
}
.checklists-toggle span {
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}
.checklists-toggle span:before {
    top: 0;
    right: 100%;
    margin-right: 5px;
    content: '';
}
.checklists-toggle span:after {
    top: 0;
    left: 100%;
    margin-left: 5px;
    content: '';
}
.checklists-section:hover .checklists-toggle span,
.checklists-section:hover .checklists-toggle span:before,
.checklists-section:hover .checklists-toggle span:after {
    background: #b90f1b;
}

@media(max-width: 1366px) {
    .checklists-section {
        width: calc(33.333% - 30px);
    }
}

@media(max-width: 768px) {
    .checklists-section {
        width: calc(50% - 30px);
    }
}

@media(max-width: 500px) {
    .checklists-section {
        width: calc(100% - 30px);
    }
}

/* element */

.checklist-sticky-add-basket.b2c__checklist,
.checklist-element-product-check-check.active.b2c__checklist {
    background: #634f9a;
}

.checklist-sticky-add-basket.b2c__checklist:hover,
.checklist-element-product-check-check.active.b2c__checklist:hover {
    background: #4b397d;
}

.checklist-element-product-check-check.active.b2c__checklist {
    border-color: #4b397d;
}

.checklist {
    display: flex;
    align-items: flex-start;
    padding-bottom: 50px;
    border-bottom: 1px solid #e7e7e7;
    margin-bottom: 50px;
}

.checklist-menu {
    width: 364px;
    padding: 15px 30px 15px 23px;
}
.checklist-menu-section {
    display: flex;
    flex-direction: column;
    margin-left: 17px;
    margin-bottom: 21px;
}
.checklist-menu-section .checklist-menu-section-name {
    font-size: 16px;
    line-height: 19px;
    text-transform: uppercase;
    color: #333333;
    cursor: pointer;
    display: flex;
    align-items: center;
	justify-content: space-between;
}
.checklist-menu-section .checklist-menu-section-name:hover {
    color: #cf1a27;
}
.checklist-menu-section.active .checklist-menu-section-name {
    font-weight: 600;
}
.checklist-menu-section-name img {
    margin-left: 10px;
    transition: 0.3s;
	flex-grow: 0;
}
.checklist-menu-section.open .checklist-menu-section-name img {
    transform: rotateZ(180deg);
}
.checklist-menu-section-items {
    display: none;
    flex-direction: column;
    align-items: flex-start;
    padding: 14px 0 0 13px;
}
.checklist-menu-section.open .checklist-menu-section-items {
    display: flex;
}
.checklist-menu-section-items-item {
    margin-bottom: 6px;
}
.checklist-menu-section-items-item a {
    font-size: 14px;
    line-height: 16px;
    color: #919191;
    text-decoration: none;
    padding: 4px 10px;
}
.checklist-menu-section-items-item.active {
}
.checklist-menu-section-items-item.active a {
    color: #484848;
    background: #F6F6F6;
    border-radius: 1px;
}
.checklist-menu-section-items-item a:hover,
.checklist-menu-section-items-item.active a:hover {
    text-decoration: none;
    color: #484848;
    background: #F6F6F6;
    border-radius: 1px;
}

.checklist-element {
    flex-grow: 1;
    max-width: 800px;
    display: flex;
    flex-direction: column;
}
.checklist-element-head {
    display: flex;
    background: #f1f1f1;
    border-radius: 2px;
    padding: 15px 25px;
}
.checklist-element-head div {
    width: 20%;
    font-style: normal;
    font-weight: normal;
    font-size: 15px;
    line-height: 14px;
    color: #333333;
    display: flex;
    align-items: center;
    font-family: OpenSans-Bold,Helvetica,Arial,sans-serif;
}
.checklist-element-head .count {
    width: 60%;
}
.checklist-element-products {
    display: flex;
    flex-direction: column;
    padding-left: 25px;
}
.checklist-element-product-wrap {
    border-bottom: 1px solid #E7E7E7;
}
.checklist-element-product-add-wrap {
    display: flex;
    flex-direction: column;
    padding-top: 10px;
    padding-bottom: 10px;
    position: relative;
    overflow: hidden;
}
.add-btn {
    align-self: center;
    cursor: pointer;
    position: relative;
    margin-right: 10px;
}
.add-btn:hover {
    color: #4b397d;
}
.add-btn span {
    position: absolute;
    right: -10px;
    font-size: 15px;
}
.add-btn-open span {
    transform: rotateZ(90deg);
}
.add-btn-hide span {
    transform: rotateZ(-90deg);
    right: -8px;
}
.owl-carousel {
    width: 100%;
}
.add-wrap {
    width: calc(100% - 80px);
    height: 0;
    margin: 0 auto;
    overflow: hidden;
    /*display: none;*/
}
.add-wrap.open {
    height: auto;
    margin-bottom: 20px;
    overflow: visible;
    /*display: block;*/
}
.checklist-element-product-add-wrap .item {
    padding: 5px;
    border: 1px solid transparent;
    cursor: pointer;
}
.checklist-element-product-add-wrap .item.checklist-element-product-add-active {
    border: 1px solid #cf1a27;
    border-radius: 5px;
}
.checklist-element-product-add-wrap .owl-carousel .owl-nav button {
    position: absolute;
    top: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.checklist-element-product-add-wrap .owl-carousel .owl-nav button.owl-prev {
    left: -40px;
}
.checklist-element-product-add-wrap .owl-carousel .owl-nav button.owl-next {
    right: -40px;
}
.checklist-element-product-add-wrap .owl-carousel .owl-nav button.disabled {
    color: #999;
}
.checklist-element-product-add-wrap .owl-carousel .owl-nav button span {
    font-size: 28px;
}
.checklist-element-product-add-img-wrap {
    width: 100%;
    height: 165px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
}
.checklist-element-product-add-img {
    width: auto !important;
    max-width: 100%;
    max-height: 100%;
}
.checklist-element-product-add-price {
    font-size: 14px;
    line-height: 18px;
    color: #484848;
    margin-bottom: 10px;
    padding-left: 5px;
    padding-right: 5px;
}
.checklist-element-product-add-price-wrap {

}
.checklist-element-product-add-price > span {
    font-weight: 600;
    font-size: 14px;
    line-height: 18px;
    color: #333333;
}
.checklist-element-product-add-price-new {
    color: #cf1a27;
}
.checklist-element-product-add-price-old {
    margin-left: 5px;
    font-size: 12px;
    font-weight: 400;
    text-decoration: line-through;
    color: #999;
}
.checklist-element-product-add-name {
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    color: #333333;
    text-decoration: none;
    margin-bottom: 5px;
    padding-left: 5px;
    padding-right: 5px;
}
.checklist-element-product {
    display: flex;
    flex-direction: row;
    padding-top: 10px;
    padding-bottom: 10px;
}
.checklist-element-product:last-of-type {
    border-bottom: none;
}
.checklist-element-product-info {
    display: flex;
    width: calc(60% - 13px);
}
.checklist-element-product-img-wrap {
    min-width: 165px;
    height: 165px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-basis: 165px;
}
.checklist-element-product-img {
    max-width: 100%;
    max-height: 100%;
}
.checklist-element-product-info-desc {
    display: flex;
    flex-direction: column;
    margin-left: 10px;
    justify-content: center;
    padding-right: 20px;
}
.checklist-element-product-name {
    font-weight: 600;
    font-size: 14px;
    line-height: 18px;
    color: #333333;
    text-decoration: none;
    margin-bottom: 5px;
}
.checklist-element-product-name:hover {
    text-decoration: none;
}
.checklist-element-product-vendorcode {
    font-size: 12px;
    line-height: 16px;
    color: #909090;
    margin-bottom: 20px;
}
.checklist-element-product-price {
    font-size: 14px;
    line-height: 18px;
    color: #484848;
}
.checklist-element-product-price > span {
    font-weight: 600;
    font-size: 14px;
    line-height: 18px;
    color: #333333;
    margin-left: 18px;
}
.checklist-element-product-price-new {
    color: #cf1a27;
}
.checklist-element-product-price .checklist-element-product-price-old {
    margin-left: 5px;
    font-size: 12px;
    font-weight: 400;
    text-decoration: line-through;
    color: #999;
}

.checklist-element-product-count {
    width: 20%;
    display: flex;
    align-items: center;
}
.checklist-element-product-count div {
    width: 42px;
    height: 42px;
    box-sizing: border-box;
    border-radius: 2px;
    color: #666;
    font-size: 14px;
    line-height: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.checklist-element-product-count .checklist-element-product-count-count {
    color: #000;
    width: 42px;
    height: 42px;
    border: 1px solid #b8c0c3;
    text-align: center;
    border-top: none;
    border-bottom: none;
    background: none;
}
.checklist-element-product-count .checklist-element-product-count-count:hover {
    border: 1px solid #b8c0c3;
    background: #fff;
}
.checklist-element-product-count .checklist-element-product-count-minus:hover,
.checklist-element-product-count .checklist-element-product-count-plus:hover {
    color: #484848;
    cursor: pointer;
    background: #e9e9e9;
}

.checklist-element-product-check {
    width: 20%;
    display: flex;
    align-items: center;
    position: relative;
}
.checklist-element-product-check-fullprice {
    font-weight: 600;
    font-size: 16px;
    line-height: 19px;
    color: #333333;
}
.checklist-element-product-check-check {
    width: 20px;
    height: 20px;
    border: 1px solid #E7E7E7;
    border-radius: 2px;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 0;
    top: calc(50% - 10px);
    cursor: pointer;
    padding: 3px;
}
.checklist-element-product-check-check:not(.active):hover {
    border-color: #484848;
    color: #fff;
}
.checklist-element-product-check-check.active {
    background: #00B127;
    border: 1px solid #00B127;
    border-radius: 2px;
    color: #fff;
}
.checklist-element-product-check-check.active:hover {
    background: #03a239;
}

.checklist-element-description {
    margin-top: 20px;
    padding-left: 25px;
}

.checklist-sticky-wrap {
    width: 277px;
    display: flex;
    flex-direction: column;
    position: sticky;
    top: 110px;
    margin-left: 10px;
}
.checklist-sticky {
    display: flex;
    flex-direction: column;
    border: 1px solid #E7E7E7;
    box-sizing: border-box;
    border-radius: 2px;
    padding: 16px;
}
.banner-sticky {
    margin-top: 20px;
    width: 100%;
    border-radius: 2px;
    overflow: hidden;
}
.banner-sticky a {
    width: 100%;
}
.banner-sticky img {
    width: 100%;
}
.checklist-sticky-head {
    font-size: 16px;
    line-height: 19px;
    text-transform: uppercase;
    color: #000000;
    padding-bottom: 16px;
    margin-bottom: 16px;
    border-bottom: 1px solid #E7E7E7;
}
.checklist-sticky-line {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 10px;
}
.checklist-sticky div:nth-last-child(3) {
    margin-bottom: 16px;
}
.checklist-sticky-line-title {
    font-size: 14px;
    line-height: 18px;
    color: #909090;
}
.checklist-sticky-line-value {
    font-size: 14px;
    line-height: 18px;
    color: #333333;
    display: flex;
    justify-content: flex-end;
    font-family: OpenSans-Bold,Helvetica,Arial,sans-serif;
}
.checklist-sticky-line-value span {
    margin-right: 5px;
}
.checklist-sticky-fullprice {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    border-top: 1px solid #E7E7E7;
    padding-top: 16px;
    margin-bottom: 16px;
}
.checklist-sticky-fullprice .checklist-sticky-line-title {
    color: #333333;
    font-family: OpenSans-Bold,Helvetica,Arial,sans-serif;
    margin-right: 10px;
}
.checklist-sticky-add-basket img{
	vertical-align: middle;
}
.checklist-sticky-add-basket {
    background: #00B127;
    border-radius: 2px;
    font-size: 13px;
    /*line-height: 19px;*/
    color: #FFFFFF;
    padding: 0 10px;
    width: 100%;
    text-align: center;
    cursor: pointer;
    height: 42px;
    line-height: 42px;
}
.checklist-sticky-add-basket:hover {
    background: #03a239;
}
.checklist-sticky-add-basket span {
    margin-left: 8px;
    vertical-align: middle;
    line-height: 1;
}

.checklist-element-head-mobile {
    position: fixed;
    top: 89px;
    right: 0;
    left: 0;
    width: 100%;
    margin-right: 0;
    margin-left: 0;
    display: none;
    background: #F1F1F1;
    padding: 10px 15px;
    justify-content: space-between;
    z-index: 100000;
}
.checklist-element-head-mobile .count {
    font-size: 15px;
    line-height: 14px;
    color: #000;
    margin-bottom: 10px;
}
.checklist-element-head-mobile .price {
    font-size: 15px;
    line-height: 14px;
    color: #000;
    font-weight: 600;
}
.checklist-element-head-mobile .checklist-sticky-add-basket {
    width: auto;
    padding: 0 30px;
}
.checklist-element-head-mobile .checklist-sticky-add-basket span {
    margin-left: 0;
}

@media(max-width: 1366px) {
    .checklist-menu {
        width: 260px;
    }
    .checklist-element {
        width: 652px;
    }
    .checklist-sticky-wrap {
        width: 240px;
    }
    .checklist-element-product-price-wrap {
        display: block;
    }
    .checklist-element-product-price > span {
        margin-left: 0;
    }
    .checklist-element-product-img-wrap {
        min-width: 120px;
        height: 120px;
        flex-basis: 120px;
    }
    .checklist-element-product-count div {
        width: 32px;
        height: 32px;
    }
    .checklist-element-product-count .checklist-element-product-count-count {
        width: 32px;
        height: 32px;
    }
}

@media(max-width: 768px) {
    .checklist {
        flex-wrap: wrap;
    }
    .checklist > div {
        width: 100%;
    }
    .checklist-menu {
        margin-bottom: 20px;
    }
    .checklist-element {
        margin-bottom: 20px;
    }
    .checklist-element-product-price-wrap {
        display: inline;
    }
    .checklist-element-product-price > span {
        margin-left: 18px;
    }
    .checklist-element-product-count div {
        width: 42px;
        height: 42px;
    }
    .checklist-element-product-count .checklist-element-product-count-count {
        width: 42px;
        height: 42px;
    }

    .checklist-menu {
        padding: 0;
    }
    .checklist-menu-section {
        margin: 0;
    }
    .checklist-menu-section.open .checklist-menu-section-items {
        display: block;
        overflow-x: auto;
        white-space: nowrap;
    }
    .checklist-menu-section-items {
        padding: 0;
        flex-wrap: wrap;
        flex-direction: row;
    }
    .checklist-menu-section .checklist-menu-section-name {
        display: none;
    }
    .checklist-menu-section-items-item {
        margin-right: 10px;
        padding: 16px;
        border: 1px solid #F6F6F6;
        border-radius: 5px;
        display: inline-block;
    }
    .checklist-menu-section-items-item:last-of-type {
        margin-right: 0;
    }
    .checklist-menu-section-items-item.active {
        background: #F6F6F6;
    }
    .checklist-menu-section-items-item a {
        padding: 0;
    }
    .checklist-sticky-wrap {
        margin-left: 0;
    }
    .checklist-sticky {
        background: #F1F1F1;
        border-radius: 5px;
    }

    .checklist-element-head {
        display: none;
    }
    .checklist-element-head-mobile {
        display: flex;
    }
}

@media(max-width: 500px) {
    .checklist-element-head div {
        display: none;
    }
    .checklist-element-head .count {
        display: flex;
    }
    .checklist-element-products {
        padding-left: 0;
        position: relative;
    }
    .checklist-element-product {
        flex-direction: column;
        padding-left: 20px;
        padding-right: 20px;
        flex-wrap: wrap;
        position: relative;
    }
    .checklist-element-product > div {
        width: 100%;
    }
    .checklist-element-product-info {
        align-items: center;
    }
    .checklist-element-product-info-desc {
        padding-right: 0;
        margin-left: 0;
        margin-top: 20px;
    }
    .checklist-element-product .checklist-element-product-count {
        margin-top: 10px;
        justify-content: flex-start;
        margin-left: 135px;
        /*border: 1px solid #b8c0c3;*/
        /*width: 50%;*/
    }
    .checklist-element-product .checklist-element-product-check {
        margin-top: 10px;
        margin-bottom: 10px;
        justify-content: flex-start;
        margin-left: 135px;
        position: static;
        /*width: 50%;*/
    }
    .checklist-element-product-img-wrap {
        /*min-width: 60%;*/
        /*height: 300px;*/
        /*flex-basis: 60%;*/
        margin-right: 10px;
        margin-left: 5px;
    }
    .checklist-element-product-price > span {
        margin-left: 5px;
    }
    .checklist-element-product-vendorcode {
        margin-bottom: 5px;
    }
    .checklist-element-product-check-check {
        position: absolute;
        left: 0;
        top: 60px;
    }
    .checklist-element-product-count div,
    .checklist-element-product-count .checklist-element-product-count-count {
        height: 21px;
    }
    .checklist-element-product-add-wrap {
        margin-top: -51px;
    }
    .add-wrap {
        padding-top: 10px;
    }
}